# WARNING: This package is synced with FC
%global apiversion      0.4
%define lib_major       4
%define lib_name        %mklibname wps %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname wps -d

Name:		libwps
Epoch:		1
Version:	0.4.12
Release:	%mkrel 1
Summary:	A library for import of Microsoft Works documents
Group:		Office/Utilities
License:	LGPLv2+ or MPLv2.0
URL:		http://libwps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-generators-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)

%description
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases. Full list of supported
formats is available at
https://sourceforge.net/p/libwps/wiki/Home/#recognized-formats .


%package	-n %{lib_name_devel}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package	tools
Summary:	Tools to transform Microsoft Works documents into other formats
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Group:		Publishing

%description tools
Tools to transform Microsoft Works documents into other formats.
Currently supported: CSV, HTML, raw, text

%package	-n %{lib_name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries
Obsoletes:	%mklibname wps- 0.1 1

%description -n %{lib_name}
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.

%package	doc
Requires:	libwps-devel = %{epoch}:%{version}-%{release}
Summary:	Documentation of %{name} API
Group:		Development/C++
BuildArch:	noarch
Obsoletes:	%name-docs
Provides:	%name-docs

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
# we install API docs directly from build
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wks2csv wks2raw wks2text wps2html wps2raw wps2text; do
    help2man -S '%{name} %{version}' -N -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}%{_mandir}/man1
install -m 0644 wks2*.1 wps2*.1 %{buildroot}%{_mandir}/man1

%files -n %{lib_name}
%doc CREDITS NEWS README
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwps*-%{apiversion}.so.%{lib_major}
%{_libdir}/libwps*-%{apiversion}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/*
%{_mandir}/man1/wks2csv.1*
%{_mandir}/man1/wks2raw.1*
%{_mandir}/man1/wks2text.1*
%{_mandir}/man1/wps2html.1*
%{_mandir}/man1/wps2raw.1*
%{_mandir}/man1/wps2text.1*

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html


%changelog
* Mon Sep 07 2020 tv <tv> 1:0.4.12-1.mga8
+ Revision: 1623384
- 0.4.12

* Sat Apr 18 2020 tv <tv> 1:0.4.11-1.mga8
+ Revision: 1569423
- 0.4.11

* Thu Feb 13 2020 umeabot <umeabot> 1:0.4.10-3.mga8
+ Revision: 1514618
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:0.4.10-2.mga7
+ Revision: 1299230
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 1:0.4.10-1.mga7
+ Revision: 1248721
- new version: 0.4.10

* Wed Apr 11 2018 tv <tv> 1:0.4.8-1.mga7
+ Revision: 1217532
- new release

* Thu Mar 23 2017 luigiwalser <luigiwalser> 1:0.4.6-1.mga6
+ Revision: 1094592
- 0.4.6

* Sat Jan 14 2017 luigiwalser <luigiwalser> 1:0.4.5-1.mga6
+ Revision: 1081684
- 0.4.5

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1:0.4.4-1.mga6
+ Revision: 1063600
- 0.4.4

* Mon Sep 19 2016 tv <tv> 1:0.4.3-2.mga6
+ Revision: 1054245
- drop dependency on boost
- fix license
- use %%autosetup
- add man pages
- package license
- rename docs -> doc

* Mon May 09 2016 luigiwalser <luigiwalser> 1:0.4.3-1.mga6
+ Revision: 1011493
- 0.4.3

* Fri Dec 25 2015 tv <tv> 1:0.4.2-2.mga6
+ Revision: 914725
- rebuild for new boost 1.60

* Fri Oct 30 2015 tv <tv> 1:0.4.2-1.mga6
+ Revision: 896620
- drop merged patch
- new release

* Sat Jun 27 2015 tv <tv> 1:0.4.0-8.mga6
+ Revision: 846008
- new release

* Sun Feb 01 2015 tv <tv> 1:0.3.1-8.mga5
+ Revision: 812978
- submit to core/release

* Sat Jan 31 2015 tv <tv> 1:0.3.1-7.mga5
+ Revision: 812800
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.0-7.mga5
+ Revision: 742492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.0-6.mga5
+ Revision: 681862
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 1:0.3.0-5.mga5
+ Revision: 658655
- fix BR
- update BR

* Thu Jul 31 2014 tv <tv> 1:0.3.0-4.mga5
+ Revision: 658517
- adjust file list
- BR librevenge
- new release
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1:0.2.9-4.mga4
+ Revision: 532389
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 1:0.2.9-3.mga4
+ Revision: 468244
- disable werror

* Mon Jul 08 2013 fwang <fwang> 1:0.2.9-2.mga4
+ Revision: 451141
- rebuild for new boost

* Sat Jun 01 2013 sander85 <sander85> 1:0.2.9-1.mga4
+ Revision: 434162
- Fix group
- New version: 0.2.9
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-2.mga3
+ Revision: 260714
- fix requires

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-1.mga3
+ Revision: 260694
- new version 0.2.7

* Fri Jun 08 2012 fwang <fwang> 1:0.2.6-1.mga3
+ Revision: 257676
- br boost
- new version 0.2.6

* Tue Dec 06 2011 fwang <fwang> 1:0.2.4-1.mga2
+ Revision: 177321
- new version 0.2.4

* Mon Jul 18 2011 fwang <fwang> 1:0.2.2-1.mga2
+ Revision: 125636
- new version 0.2.2

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.2.0-5.mga1
+ Revision: 33514
- New version ( 0.2.0 ) Neeeded by libreoffice
- imported package libwps

